رفتن به محتوا

Florence-2 Large · Referring Expression Segmentation

یکپارچه‌سازی

شناسه مدل florence-2-large/referring-expression-segmentation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/florence-2-large/referring-expression-segmentation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "text_input": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

این درخواست: ≈⁨‎$۰٫۰۰۵⁩ ۵ اعتبار API اجرای آن در این صفحه

دریافت کلید API
Microsoft · تصویر

اولین نتیجه شما اینجا قرار می‌گیرد

درخواست را در زیر بسازید و با کلید API خود اجرا کنید. خروجی‌ها در فضای ذخیره‌سازی ما کپی می‌شوند و برای همیشه یا به‌مدت ۷ روز رایگان نگه‌داری می‌شوند.

ساخت درخواست

کنترل‌ها از شِمای مدل تولید می‌شوند. با تغییر آن‌ها، کد و قیمت به‌روزرسانی می‌شوند.

•الزامی

متن ارائه‌شده برای کار.

•الزامی image_url
یک فایل بیندازید، یا

URL اشاره‌کننده به تصویر برای پردازش.

POST /run/florence-2-large/referring-expression-segmentation?wait=20 قیمت → ⁨‎$۰٫۰۰۵⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/florence-2-large/referring-expression-segmentation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "text_input": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

اجرای این درخواست

کلید شما در این مرورگر باقی می‌ماند: فقط به Doitong API ارسال می‌شود و فقط در صورت فعال‌کردن گزینه «یادآوری»، در localStorage ذخیره می‌شود. دریافت کلید API

درباره Florence-2 Large · Referring Expression Segmentation

تصویر و عبارت ارجاعی را در `text_input` می‌گیرد و شیء منطبق را به‌صورت بخش‌بندی مشخص می‌کند. خروجی شامل تصویر پردازش‌شده و `results` ساختاریافته است. برای انتخاب یک مورد توصیف‌شده با کلمات، مانند فرد یا شیء خاص، از آن استفاده کنید.

پارامترها

نام استاندارد یا نام بومی را ارسال کنید، نه هر دو. نام‌های استاندارد

نامنوع پیش‌فرضمجاز توضیحات
image_urlالزامی image
نوعurl · image
URL اشاره‌کننده به تصویر برای پردازش.
text_inputالزامی
نوعstring
متن ارائه‌شده برای کار.
الزامی نام استاندارد، همچنین پذیرفته می‌شود

پارامترهای فایل یک URL عمومی https://، یک URI از نوع data: تا سقف 10 MB، یا file_url یک فایل بارگذاری‌شده را می‌پذیرند. فایل‌ها

خروجی

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "florence-2-large/referring-expression-segmentation",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "text_input": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "results": {
      "polygons": [
        {
          "points": [],
          "label": "string"
        }
      ]
    },
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
فایل‌های شما، انتخاب شماهر outputs[].url کپی‌ای در فضای ذخیره‌سازی ماست: برای همیشه (با هزینه به‌ازای هر GB-ماه) یا به‌مدت ۷ روز رایگان، بر اساس تنظیم حساب شما یا ?storage=.
ساختار یکسان در همه مدل‌هاtype، url، content_type، width، height و duration برای تصاویر، ویدیو و صدا یکسان هستند. output شیء نتیجه اختصاصی مدل است.
فیلدهای خروجی
results
object {polygons}نتایج بازگردانده‌شده توسط مدل.
image
object {url, content_type, file_name, file_size, width, height}تصویر حاصل از پردازش.

مدل‌های بیشتر: ویرایش تصویر

برای عامل‌های هوش مصنوعی: این صفحه به‌صورت Markdown در دسترس است https://doitong.com/fa/developers/models/florence-2-large/referring-expression-segmentation.md. همه مدل‌ها و راهنماها: https://doitong.com/developers/llms.txt